import { type Metadata } from 'next'
import { useTranslations } from 'next-intl'
import { getTranslations } from 'next-intl/server'

import { DatasetsTable } from '@/components/organisms'

import { DefaultLayout } from '@/components/templates'

export async function generateMetadata(): Promise<Metadata> {
	const t = await getTranslations('datasets')

	return {
		title: t('seo.title')
	}
}

export default function DatasetsPage() {
	const t = useTranslations()
	//
	return (
		<DefaultLayout title={t('categories.datasets')}>
			<DatasetsTable />
		</DefaultLayout>
	)
}
